package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.Student;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;

import java.util.Date;

/**
 * @Author: liweifan
 * @Data: 2022/3/21 18:37
 */
@ApiModel(value = "StudentHomeVo对象", description = "学生主页基本信息返回")
public class StudentHomeVo extends Student {

    @ApiModelProperty("头像地址")
    private String heardUrl;
    @ApiModelProperty("学员昵称")
    private String username;
    @ApiModelProperty(value = "生日")
    private Date birthdate;
    @ApiModelProperty("会员剩余有效期天数")
    private Integer membershipDays;
    @ApiModelProperty("累计练习天数")
    private Integer exerciseDays;
    @ApiModelProperty("累计练习时长")
    private Double exerciseHours;
    @ApiModelProperty("累计评测次数")
    private Integer testingNum;
    @ApiModelProperty("已完成课时数")
    private Integer finshClassHours;
    @ApiModelProperty("剩余课时数")
    private Integer unfinshClassHours;
    @ApiModelProperty("关注老师数")
    private Integer starTeacherNum;
    @ApiModelProperty(value = "声部名称（支持多个，用逗号分隔） ")
    private String subjectName;

    public String getHeardUrl() {
        return heardUrl;
    }

    public void setHeardUrl(String heardUrl) {
        this.heardUrl = heardUrl;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Date getBirthdate() {
        return birthdate;
    }

    public void setBirthdate(Date birthdate) {
        this.birthdate = birthdate;
    }

    public Integer getExerciseDays() {
        return exerciseDays;
    }

    public void setExerciseDays(Integer exerciseDays) {
        this.exerciseDays = exerciseDays;
    }

    public Double getExerciseHours() {
        return exerciseHours;
    }

    public void setExerciseHours(Double exerciseHours) {
        this.exerciseHours = exerciseHours;
    }

    public Integer getTestingNum() {
        return testingNum;
    }

    public void setTestingNum(Integer testingNum) {
        this.testingNum = testingNum;
    }

    public Integer getFinshClassHours() {
        return finshClassHours;
    }

    public void setFinshClassHours(Integer finshClassHours) {
        this.finshClassHours = finshClassHours;
    }

    public Integer getUnfinshClassHours() {
        return unfinshClassHours;
    }

    public void setUnfinshClassHours(Integer unfinshClassHours) {
        this.unfinshClassHours = unfinshClassHours;
    }

    public Integer getStarTeacherNum() {
        return starTeacherNum;
    }

    public void setStarTeacherNum(Integer starTeacherNum) {
        this.starTeacherNum = starTeacherNum;
    }

    public Integer getMembershipDays() {
        return membershipDays;
    }

    public void setMembershipDays(Integer membershipDays) {
        this.membershipDays = membershipDays;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }
}
